Bug 47430 - Writer FILESAVE: frame, anchored to header is thrown away when save to DOC format
Summary: Writer FILESAVE: frame, anchored to header is thrown away when save to DOC fo...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: interoperabillity
Keywords: filter:doc, filter:docx
Depends on:
Blocks: DOCX-Header-Footer DOC-Header-Footer
  Show dependency treegraph
 
Reported: 2012-03-17 03:23 UTC by Daniel Lee Eschbach
Modified: 2019-02-25 21:28 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Blank Pleading Document (19.93 KB, application/vnd.oasis.opendocument.text)
2012-03-17 03:23 UTC, Daniel Lee Eschbach
Details
doc test file, saved using msWord 2007 (30.00 KB, application/msword)
2012-06-12 00:52 UTC, sasha.libreoffice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Lee Eschbach 2012-03-17 03:23:14 UTC
Created attachment 58587 [details]
Blank Pleading Document

A legal pleading document (.odt, .doc .docx) will load in correctly, but when again saved after editing as a (.doc or .docx) file, it strips the line numbering off the left hand side. Files have to be saved as a (.doc or .docx) file for compatibility with attorney(s) word processor(s). I have included a blank pleading in .odt format. Also after the save, you cannot access the header or footer on the document again.
Comment 1 sasha.libreoffice 2012-06-12 00:52:29 UTC
Created attachment 62918 [details]
doc test file, saved using msWord 2007

For creating this file, I opened first attachment, moved frame on left of page (with numbers) from header to page itself using Writer, then saved to DOC. Then in msWord moved this frame again to header and saved.
Comment 2 sasha.libreoffice 2012-06-12 01:02:04 UTC
Thanks for bugreport. 
Reproduced in 3.3.4 and 3.5.4 on Fedora 64 bit (Windows not tested).
It is FILESAVE problem. When document contains frame, anchored to header, this frame is thrown away when saving to DOC format.

What is interesting: when open second attachment by Writer 3.5.4, edit and save again to DOC format, it saves correctly.

msWord 2007 opens first attachment (odt) without frame on left of page

Format docx not tested, because functionality to save to it is experimental now. Not expected that it will work correctly now. 

Changing version to 3.3.4 as most early reproduced
Comment 3 Cor Nouws 2013-07-26 11:48:47 UTC
Still a problem in 4.1.0.4+ frame3 is lost
Comment 4 QA Administrators 2015-04-01 14:41:15 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2015-04-23 11:47:02 UTC
Still repro.

Win 7 Pro 64-bit Version: 5.0.0.0.alpha1+ (x64)
Build ID: f3375fa07f27bd2ade519af3c07d69040d10eaa9
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-04-22_23:38:50
Locale: fi_FI
Comment 6 QA Administrators 2016-09-20 09:33:58 UTC Comment hidden (obsolete)
Comment 7 Telesto 2017-05-07 09:36:00 UTC
Still a repro with:
Version: 5.4.0.0.alpha1+
Build ID: 274ecb49b70b3f01d47546e3b44317946c106042
CPU threads: 4; OS: Windows 6.2; UI render: default; 
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2017-05-05_22:45:07
Locale: nl-BE (nl_NL); Calc: single
Comment 8 Xisco Faulí 2017-09-21 22:03:06 UTC
Still reproducible in

Version: 6.0.0.0.alpha0+
Build ID: 86f256596c8566e80993e1cf6035bc3534b6f816
CPU threads: 4; OS: Linux 4.10; UI render: GL; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 9 QA Administrators 2018-10-02 02:56:20 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug